### Type parameters

- #### T

### Hierarchy

- TransactBaseOperation<T, ConditionCheck, TransactConditionCheck<T>>
  - TransactConditionCheck

### Implements

- ConditionalParamsHost

## Index

### Constructors

- constructor

### Properties

- metadata
- modelClazz
- params

### Accessors

- transactItem

### Methods

- onlyIf
- onlyIfAttribute
- returnValuesOnConditionCheckFailure

## Constructors

### constructor

- new TransactConditionCheck(modelClazz: ModelConstructor<T>, partitionKey: any, sortKey?: any): TransactConditionCheck

- Overrides TransactBaseOperation.constructor

  - Defined in dynamo/transactwrite/transact-condition-check.ts:10

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns TransactConditionCheck

## Properties

### metadata

metadata: Metadata<T>

Inherited from TransactBaseOperation.metadata

- Defined in dynamo/transactwrite/transact-base-operation.ts:18

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from TransactBaseOperation.modelClazz

- Defined in dynamo/transactwrite/transact-base-operation.ts:19

### params

params: ConditionCheck

Implementation of ConditionalParamsHost.params

Inherited from TransactBaseOperation.params

- Defined in dynamo/transactwrite/transact-base-operation.ts:17

## Accessors

### transactItem

transactItem:

Overrides TransactBaseOperation.transactItem

- Defined in dynamo/transactwrite/transact-condition-check.ts:16

## Methods

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): TransactConditionCheck<T>

- Inherited from TransactBaseOperation.onlyIf

  - Defined in dynamo/transactwrite/transact-base-operation.ts:43

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns TransactConditionCheck<T>

### onlyIfAttribute

- onlyIfAttribute<K>(attributePath: K): RequestConditionFunction<TransactConditionCheck<T>, T, K>

- Inherited from TransactBaseOperation.onlyIfAttribute

  - Defined in dynamo/transactwrite/transact-base-operation.ts:39

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestConditionFunction<TransactConditionCheck<T>, T, K>

### returnValuesOnConditionCheckFailure

- returnValuesOnConditionCheckFailure(value: DynamoDB.ReturnValuesOnConditionCheckFailure): TransactConditionCheck<T>

- Inherited from TransactBaseOperation.returnValuesOnConditionCheckFailure

  - Defined in dynamo/transactwrite/transact-base-operation.ts:49

  #### Parameters

  - ##### value: DynamoDB.ReturnValuesOnConditionCheckFailure

  #### Returns TransactConditionCheck<T>

Generated using TypeDoc